package cn.com.qmth.stmms.biz.exam.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.ScoreVerifyDetailDao;
import cn.com.qmth.stmms.biz.exam.model.ScoreVerifyDetail;
import cn.com.qmth.stmms.biz.exam.service.ExamStudentService;
import cn.com.qmth.stmms.biz.exam.service.ScoreVerifyDetailService;

@Service
public class ScoreVerifyDetailServiceImpl extends BaseQueryService<ScoreVerifyDetail> implements ScoreVerifyDetailService {
    @Autowired
    private ExamStudentService studentService;
	@Autowired
	private ScoreVerifyDetailDao scoreVerifyDetailDao;

	@Transactional
	@Override
	public void tag(Integer userId,Integer scoreVerifyId, Integer studentId, boolean isTag) {
		ScoreVerifyDetail sd=scoreVerifyDetailDao.findByScoreVerifyIdAndStudentId(scoreVerifyId,studentId);
		sd.setFlagged(isTag);
		sd.setVerifyTime(new Date());
		scoreVerifyDetailDao.save(sd);
		studentService.scoreVerifyTag(userId, studentId, isTag);
	}
	
	@Override
	public ScoreVerifyDetail findByScoreVerifyIdAndStudentId(Integer scoreVerifyId, Integer studentId) {
		return scoreVerifyDetailDao.findByScoreVerifyIdAndStudentId(scoreVerifyId,studentId);
	}

}
